Bug 5898 - search to hold feature not clearing
Summary: search to hold feature not clearing
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Hold requests (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-18 23:41 UTC by Nicole C. Engard
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed fix (7.44 KB, patch)
2011-09-23 18:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot snippet of the revised hold menu on search results (6.40 KB, image/png)
2011-09-23 18:27 UTC, Owen Leonard
Details
[Signed Off] Fix for Bug 5898 - search to hold feature not clearing (7.75 KB, patch)
2011-09-23 18:46 UTC, Liz Rea
Details | Diff | Splinter Review
Fix for Bug 5898 - search to hold feature not clearing (7.75 KB, patch)
2011-10-12 13:44 UTC, Paul Poulain
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2011-03-18 23:41:43 UTC
If I choose to 'search to hold' from a patron record and then log out of the staff client, when I log back it in still remembers the patron I was searching to hold for.  Also, there isn't a mechanism to clear the system memory of this patron's info so for the rest of your session the 'hold for patron name' link appears on search results - I know why this is, but there should be a way (like the 'clear' button on the checkout page) to clear the patron the system remember so that holds are accidentally placed in that patron's name.
Comment 1 Owen Leonard 2011-03-28 15:06:23 UTC
Just to lay out the way it *should* be working:

- The cookie expires after 10 minutes
- The cookie is cleared when you pull up another patron in circulation
- All hold links and buttons should be clearly labeled to prevent 
  placing holds for the wrong person

It was suggested in the original bug that the expiration time be a system preference. I'm all for that but haven't worked in it. 

I consider it a bug that the cookie doesn't clear when you load up a "blank" circ screen (i.e. submit an empty checkout form). When this is fixed clicking the "Clear" button on the checkout page will also clear the search-to-hold cookie.

I agree that it is a bug that the cookie isn't cleared when you log out.
Comment 2 Owen Leonard 2011-09-23 18:25:33 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2011-09-23 18:27:59 UTC
Created attachment 5572 [details]
Screenshot snippet of the revised hold menu on search results
Comment 4 Liz Rea 2011-09-23 18:46:49 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2011-10-12 13:44:40 UTC
Created attachment 5852 [details] [review]
Fix for Bug 5898 - search to hold feature not clearing

Search to hold cookie is now cleared when the user loads a blank
circulation page and when the user logs out.

The user also now has the option to "forget" the current
search to hold patron by choosing an option from the
search to hold menu on the search results page.

Signed-off-by: Liz Rea <lrea@nekls.org>
Tested:
Forget <patron> from search to hold results clears cookie
Logging out clears the cookie - testing note: i had to clear my cookies and test fresh before this would work
Loading a blank circulation page (Check Out from the circulation-home) clears the cookie.

Signed-off-by: Paul Poulain <paul.poulain@biblibre.com>
Comment 6 Paul Poulain 2011-10-12 13:49:00 UTC
QA comment
  * Nicole description is OK & is a test plan
  * no specific comment to do about the code
  * works as expected.

OWEN : Why didn't you have added the "Forget xxx (xxx)" to the action toolbar on the biblio detail page ? It would be more consistent

However : marked passed QA, please keep this bug open anyway even if RM pushes it, until owen has provided a follow-up for the detail page or explained why there should not be a button on this page

Note for RM regarding string freeze: small string change in this patch : new string to forget patron. Fixes an annoying and small problem, I think it's worth waiting 3.6.1, but it's up to you to decide.
Comment 7 Ian Walls 2011-10-12 13:55:01 UTC
I agree with Paul's QA assessment; marking as Passed.

A followup to add this clear option to patron details page would be welcomed, but I don't believe is necessary for the workflow typically surrounding this patch.
Comment 8 Owen Leonard 2011-10-12 14:33:55 UTC
(In reply to comment #6)
> OWEN : Why didn't you have added the "Forget xxx (xxx)" to the action toolbar
> on the biblio detail page ? It would be more consistent

Great suggestion, I'll work on that.
Comment 9 Chris Cormack 2011-10-12 22:16:01 UTC
Minor string changes only, most changes in the js, shouldn't affect to much translator